#pragma once

#include <VulcanoLE/Visual/VIZ.h>

namespace VIZ {
    class PoliceLike : public VIZ {
    protected:
        int decayRate = 10;
        double lastPeak = -1;
        double threshold = 15;
    public:
        PoliceLike(AudioGrabber *pGrabber, Vulcan121 *pVulcan121);
        ~PoliceLike() override = default;
        void onSetup() override;
        void onTick(float delta) override;
        void switchOnPeak(double);
        int tick = 0;
        bool left = true;
        rgba colors[2] = {
                { 0, 30, 150, 0 },
                { 0, 150, 30, 0 }
        };
        const char *name() override;
        std::string m_name = "US Police Like Spectrum";
    };
}