# VULCANO LE

Audio Visual Control for Vulcan121 Keyboard

## Layout

Layout can find in layout.md

To see what keys are empty and which not look into docs.md

## DEPS:
```
libpulse -> pipewire-pulse or pulseaudio
cmake
udev
hidapi
```
### INSTALL
One of Booth should be installed :) a lot of systems are using pulseaudio already
#### ARCH
```
pacman -S pipewire pipewire-pulse
OR
pacman -S pulseaudio
```
## BUILD
```
mkdir build
cd build
// FOR DEBUG
cmake -DCMAKE_BUILD_TYPE=Debug ..
// FOR RELEASE
make -DCMAKE_BUILD_TYPE=Release ..
```

## RUN
`./anyVulcanoLE`

## CONFIG
The System should create a `state.env` file after first exit

Location: ~/.config/VulcanoLE/state.env

### EXAMPLE
```
audio_scale=2.0
visual_mode=1
shutdown_color_red=235
shutdown_color_green=0
shutdown_color_blue=141
shutdown_brightness=50
rainbow_tail_factor=30
```

# TODO

- [ ] Support for custom Scripts without writing C++
  - [ ] LUA (sol2)
    - [ ] Helper Functions
    - [ ] Keyboard Mapper
- [ ] Web Interface to control Configs without restarting
  - [ ] VWeb Implementing
- [x] Keyboard Mapping
- [ ] Keyboard Input Event-Handler
- [ ] Macro Support
    - [ ] Execute of Script on Hotkeys (LUA)