#pragma once
#define FFT_SIZE 1024
#define BUFFER_SIZE 2048

struct stereoSampleFrame {
    float l;
    float r;
};

using stereoSample = struct stereoSampleFrame;

struct outputSample {
    explicit outputSample(int fftSize) {
        leftChannel = new double[fftSize];
        rightChannel = new double[fftSize];
    }
    ~outputSample() {
        delete[] leftChannel;
        delete[] rightChannel;
    }
    double *leftChannel;
    double *rightChannel;
};