#pragma once

#include <thread>
#include <VulcanoLE/Audio/AudioGrabber.h>
#include <VulcanoLE/Visual/VisPlugins.h>
#include <VUtils/Environment.h>

class VisAudioRunner {
public:
    VisAudioRunner(AudioGrabber*, VIZ::VisPlugins*);
    ~VisAudioRunner();
    void init();
    void run() const;
    static VisAudioRunner* create();
    AudioGrabber* grabber;
    VIZ::VisPlugins* plugins;
    bool isActive = true;
    std::thread thread;
    VUtils::Environment *env = nullptr;
};
