#pragma once
#include <VulcanoLE/Audio/AudioGrabber.h>
#include <VulcanoLE/Keyboards/Vulcan121.h>

namespace VIZ {
    struct VIZ {
        VIZ(AudioGrabber *pGrabber, Vulcan121 *pVulcan121) : grabber(pGrabber), keyboard(pVulcan121) {}
        virtual ~VIZ() = default;
        virtual void onSetup() = 0;
        virtual void onTick(float delta) = 0;
        Vulcan121 *keyboard{};
        Vulcan121::DATA keyboardData = Vulcan121::DATA{};
        AudioGrabber *grabber{};
        virtual const char *name() = 0;
    };
}