
# VULCANO LED MAPPING LAYOUT

Empty Keys: 39

Key Count With LEDs: 105

## INDEX -> KEY

| Index | Key         |
|--------|--------------|
| 0     | ESC         |
| 1     | ^           |
| 2     | TAB         |
| 3     | CAPS        |
| 4     | LSHIFT      |
| 5     | CTRL        |
| 6     | 1           |
| 7     | Q           |
| 8     | A           |
| 9     | <           |
| 10    | L-SUPER     |
| 11    | F1          |
| 12    | 2           |
| 13    | W           |
| 14    | S           |
| 15    | Y           |
| 16    | L-ALT       |
| 17    | F2          |
| 18    | 3           |
| 19    | E           |
| 20    | D           |
| 21    | X           |
| 22    | *EMPTY*     |
| 23    | F3          |
| 24    | 4           |
| 25    | R           |
| 26    | F           |
| 27    | C           |
| 28    | F4          |
| 29    | 5           |
| 30    | T           |
| 31    | G           |
| 32    | V           |
| 33    | 6           |
| 34    | Z           |
| 35    | H           |
| 36    | B           |
| 37    | SPACE       |
| 38    | *EMPTY*     |
| 39    | *EMPTY*     |
| 40    | *EMPTY*     |
| 41    | *EMPTY*     |
| 42    | *EMPTY*     |
| 43    | *EMPTY*     |
| 44    | *EMPTY*     |
| 45    | *EMPTY*     |
| 46    | *EMPTY*     |
| 47    | *EMPTY*     |
| 48    | F5          |
| 49    | 7           |
| 50    | U           |
| 51    | J           |
| 52    | N           |
| 53    | F6          |
| 54    | 8           |
| 55    | I           |
| 56    | K           |
| 57    | M           |
| 58    | *EMPTY*     |
| 59    | F7          |
| 60    | 9           |
| 61    | o           |
| 62    | L           |
| 63    | ;           |
| 64    | *EMPTY*     |
| 65    | F8          |
| 66    | 0           |
| 67    | P           |
| 68    | Ö           |
| 69    | :           |
| 70    | ALT+GR      |
| 71    | *EMPTY*     |
| 72    | ß           |
| 73    | Ü           |
| 74    | Ä           |
| 75    | -           |
| 76    | FN          |
| 77    | *EMPTY*     |
| 78    | F9          |
| 79    | ´           |
| 80    | +           |
| 81    | *EMPTY*     |
| 82    | RSHIFT      |
| 83    | R-SUPER     |
| 84    | F10         |
| 85    | F11         |
| 86    | F12         |
| 87    | BACKSPACE   |
| 88    | RETURN      |
| 89    | RCTRL       |
| 90    | *EMPTY*     |
| 91    | *EMPTY*     |
| 92    | *EMPTY*     |
| 93    | *EMPTY*     |
| 94    | *EMPTY*     |
| 95    | *EMPTY*     |
| 96    | #           |
| 97    | *EMPTY*     |
| 98    | *EMPTY*     |
| 99    | PRINT       |
| 100   | INS         |
| 101   | DEL         |
| 102   | ARROW LEFT  |
| 103   | SCROLL      |
| 104   | HOME        |
| 105   | END         |
| 106   | ARROW UP    |
| 107   | ARROW DOWN  |
| 108   | BREAK       |
| 109   | PAGE UP     |
| 110   | PAGE DOWN   |
| 111   | ARROW RIGHT |
| 112   | *EMPTY*     |
| 113   | NUM         |
| 114   | NUM 7       |
| 115   | NUM 4       |
| 116   | NUM 1       |
| 117   | NUM 0       |
| 118   | *EMPTY*     |
| 119   | NUM /       |
| 120   | NUM 8       |
| 121   | NUM 5       |
| 122   | NUM 2       |
| 123   | *EMPTY*     |
| 124   | NUM *       |
| 125   | NUM 9       |
| 126   | NUM 6       |
| 127   | NUM 3       |
| 128   | NUM ,       |
| 129   | NUM -       |
| 130   | NUM +       |
| 131   | NUM RETURN  |
| 132   | *EMPTY*     |
| 133   | *EMPTY*     |
| 134   | *EMPTY*     |
| 135   | *EMPTY*     |
| 136   | *EMPTY*     |
| 137   | *EMPTY*     |
| 138   | *EMPTY*     |
| 139   | *EMPTY*     |
| 140   | *EMPTY*     |
| 141   | *EMPTY*     |
| 142   | *EMPTY*     |
| 143   | *EMPTY*     |


## EMPTY KEYS

| Key       |
|------------|
| 22        |
| 38 - 39   |
| 40 - 41   |
| 44 - 45   |
| 81        |
| 136 - 137 |



## ROWS:

### ROW 0

| Index | Key    |
|--------|---------|
| 0     | ESC    |
| 11    | F1     |
| 17    | F2     |
| 23    | F3     |
| 28    | F4     |
| 48    | F5     |
| 53    | F6     |
| 59    | F7     |
| 65    | F8     |
| 78    | F9     |
| 84    | F10    |
| 85    | F11    |
| 86    | F12    |
| 99    | PRINT  |
| 103   | SCROLL |
| 108   | BREAK  |


### ROW 1

| Index | Key       |
|--------|------------|
| 1     | ^         |
| 6     | 1         |
| 12    | 2         |
| 18    | 3         |
| 24    | 4         |
| 29    | 5         |
| 33    | 6         |
| 49    | 7         |
| 54    | 8         |
| 60    | 9         |
| 66    | 0         |
| 72    | ß         |
| 79    | ´         |
| 87    | BACKSPACE |
| 100   | INS       |
| 104   | HOME      |
| 109   | PAGE UP   |
| 113   | NUM       |
| 119   | NUM /     |
| 124   | NUM *     |
| 129   | NUM -     |


### ROW 2

| Index | Key       |
|--------|------------|
| 2     | TAB       |
| 7     | Q         |
| 13    | W         |
| 19    | E         |
| 25    | R         |
| 30    | T         |
| 34    | Z         |
| 50    | U         |
| 55    | I         |
| 61    | o         |
| 67    | P         |
| 73    | Ü         |
| 80    | +         |
| 101   | DEL       |
| 105   | END       |
| 110   | PAGE DOWN |
| 114   | NUM 7     |
| 120   | NUM 8     |
| 125   | NUM 9     |


### ROW 3

| Index | Key    |
|--------|---------|
| 3     | CAPS   |
| 8     | A      |
| 14    | S      |
| 20    | D      |
| 26    | F      |
| 31    | G      |
| 35    | H      |
| 51    | J      |
| 56    | K      |
| 62    | L      |
| 68    | Ö      |
| 74    | Ä      |
| 96    | #      |
| 88    | RETURN |
| 115   | NUM 4  |
| 121   | NUM 5  |
| 126   | NUM 6  |
| 130   | NUM +  |


### ROW 4

| Index | Key      |
|--------|-----------|
| 4     | LSHIFT   |
| 9     | <        |
| 15    | Y        |
| 21    | X        |
| 27    | C        |
| 32    | V        |
| 36    | B        |
| 52    | N        |
| 57    | M        |
| 63    | ;        |
| 69    | :        |
| 75    | -        |
| 82    | RSHIFT   |
| 106   | ARROW UP |
| 116   | NUM 1    |
| 122   | NUM 2    |
| 127   | NUM 3    |


### ROW 5

| Index | Key         |
|--------|--------------|
| 5     | CTRL        |
| 10    | L-SUPER     |
| 16    | L-ALT       |
| 37    | SPACE       |
| 70    | ALT+GR      |
| 76    | FN          |
| 83    | R-SUPER     |
| 89    | RCTRL       |
| 102   | ARROW LEFT  |
| 107   | ARROW DOWN  |
| 111   | ARROW RIGHT |
| 117   | NUM 0       |
| 128   | NUM ,       |
| 131   | NUM RETURN  |


## COLS:

### COL 0

| Index | Key    |
|--------|---------|
| 0     | ESC    |
| 1     | ^      |
| 2     | TAB    |
| 3     | CAPS   |
| 4     | LSHIFT |
| 5     | CTRL   |


### COL 1

| Index | Key     |
|--------|----------|
| 6     | 1       |
| 7     | Q       |
| 8     | A       |
| 9     | <       |
| 10    | L-SUPER |


### COL 2

| Index | Key   |
|--------|--------|
| 11    | F1    |
| 12    | 2     |
| 13    | W     |
| 14    | S     |
| 15    | Y     |
| 16    | L-ALT |


### COL 3

| Index | Key |
|--------|------|
| 17    | F2  |
| 18    | 3   |
| 19    | E   |
| 20    | D   |
| 21    | X   |


### COL 4

| Index | Key |
|--------|------|
| 23    | F3  |
| 24    | 4   |
| 25    | R   |
| 26    | F   |
| 27    | C   |


### COL 5

| Index | Key   |
|--------|--------|
| 28    | F4    |
| 29    | 5     |
| 30    | T     |
| 31    | G     |
| 36    | B     |
| 32    | V     |
| 37    | SPACE |


### COL 6

| Index | Key |
|--------|------|
| 48    | F5  |
| 33    | 6   |
| 34    | Z   |
| 35    | H   |
| 52    | N   |


### COL 7

| Index | Key |
|--------|------|
| 53    | F6  |
| 49    | 7   |
| 50    | U   |
| 51    | J   |
| 57    | M   |


### COL 8

| Index | Key |
|--------|------|
| 59    | F7  |
| 54    | 8   |
| 55    | I   |
| 56    | K   |
| 63    | ;   |


### COL 9

| Index | Key    |
|--------|---------|
| 65    | F8     |
| 60    | 9      |
| 61    | o      |
| 62    | L      |
| 69    | :      |
| 70    | ALT+GR |


### COL 10

| Index | Key |
|--------|------|
| 78    | F9  |
| 66    | 0   |
| 67    | P   |
| 68    | Ö   |
| 75    | -   |
| 76    | FN  |


### COL 11

| Index | Key     |
|--------|----------|
| 84    | F10     |
| 72    | ß       |
| 73    | Ü       |
| 74    | Ä       |
| 83    | R-SUPER |


### COL 12

| Index | Key    |
|--------|---------|
| 85    | F11    |
| 79    | ´      |
| 80    | +      |
| 96    | #      |
| 82    | RSHIFT |


### COL 13

| Index | Key       |
|--------|------------|
| 86    | F12       |
| 87    | BACKSPACE |
| 88    | RETURN    |
| 89    | RCTRL     |


### COL 14

| Index | Key        |
|--------|-------------|
| 99    | PRINT      |
| 100   | INS        |
| 101   | DEL        |
| 102   | ARROW LEFT |


### COL 15

| Index | Key        |
|--------|-------------|
| 103   | SCROLL     |
| 104   | HOME       |
| 105   | END        |
| 106   | ARROW UP   |
| 107   | ARROW DOWN |


### COL 16

| Index | Key         |
|--------|--------------|
| 108   | BREAK       |
| 109   | PAGE UP     |
| 110   | PAGE DOWN   |
| 111   | ARROW RIGHT |


### COL 17

| Index | Key   |
|--------|--------|
| 113   | NUM   |
| 114   | NUM 7 |
| 115   | NUM 4 |
| 116   | NUM 1 |
| 117   | NUM 0 |


### COL 18

| Index | Key   |
|--------|--------|
| 119   | NUM / |
| 120   | NUM 8 |
| 121   | NUM 5 |
| 122   | NUM 2 |


### COL 19

| Index | Key   |
|--------|--------|
| 124   | NUM * |
| 125   | NUM 9 |
| 126   | NUM 6 |
| 127   | NUM 3 |
| 128   | NUM , |


### COL 20

| Index | Key        |
|--------|-------------|
| 129   | NUM -      |
| 130   | NUM +      |
| 131   | NUM RETURN |

